﻿# You can place the script of your game in this file.

init:
    image garden = "garden.png"
    image back = "room1.jpg"
    image back2 = "back2.png"
    image ser = "loli1.png"
    image ser2 = "loli2.png"
    image ser3 = "loli3.png"
    image ser4 = "loli4.png"
    image garden sepia = im.Sepia("garden.png")
    $ s = Character('Serenade', color="#c8ffc8")
    $ y = Character('You', color="#c8ffc8")
    

label start:
    play music "backyay.mp3"
    
    scene garden sepia
    with dissolve
    
    "A few months ago on a dreary rainy day, someone left a stray catgirl on your doorstep... 
    She was young and frail, so you could not help but bring her inside."
    
    "After you gave her some tea and warmed her up by the fire, you learned more about her."
    
    "Her name is Serenade, and she is looking for her human master."
    
    "Her master is a kind gentleman who cares for her deeply, and as soon as she finds him, she will stay with him forever..."
    
    "So..." 
    
    
    "Will you be her master?"

    stop music fadeout 0.5

label now:
    hide garden sepia
    with dissolve
    scene black
    
    s "Hey! Wake up! Wake up!"
    y "Zzzzz..."
    s "Grrr! GET UP!"
    y "*opens eyes sleepily*"
    
    
    scene back
    show ser
    with dissolve
    
    
    menu:

        "What would you like to do?"

        "Get up":

            jump wake_up

        "Ignore her and go back to sleep":

            jump ignore_her
    
    
    label ignore_her:
    
    return
    
    label wake_up:
    play music "backyay.mp3"
    show ser
    s "Wow it worked!"
    s "You never wake up on time for anything! Haha!"
    s "So what would you like to do today?"
    menu:

        s "What would you like to do?"

        "Poke her":

            jump poke_sere

        "Talk":

            jump talk_w_sere



label poke_sere:
    hide ser
    show ser2
    
    s "Ouch! That hurt!"
   
    menu:

        s "What would you like to do?"

        "Laugh":

            jump haha_loser

        "Apologize":

            jump talk_w_sere2
            
    label haha_loser:
    
    hide ser
    show ser2
    
    y"Hahaha"
    s "Wahh... That was mean..."
    
    hide ser2
    with dissolve
    
    "Serenade was so upset that she ran away from home and was never seen again..."
    
    return
    
label talk_w_sere2:
    
    y"I'm sorry."
    
    hide ser2
    show ser
    
    s "Aww it's okay. I'm just sensitive!"
    s "So, what now?"
    menu:
    
        s "What do you do now?"   

        "Talk":

            jump talk_w_sere
    
        "Fall back asleep":
    
            jump sleep_plz


label sleep_plz:

    return

label talk_w_sere:
    
    s "It's so much fun talking to you!"
    s "Would you like to ask me something?"
    
    menu:

        s "Want to ask me something?"
    
        "What is you favorite food?":
    
            jump ice_cream
    
        "What's your favorite color?":
    
            jump color_pink
    
        "Will you go on a date with me?":
    
            jump date_now
    
    
label ice_cream:
    
    s "I love icecream!"
    s "Do you?"

    menu:
    
        s "Do you like icecream?"   

        "Yes, I love sweets!":

            jump yes_ice
    
        "No, it's too cold...":
    
            jump no_ice

label yes_ice:
    s "Let's go get some icecream!"
    
    menu:
    
        s "Should we go get icecream?"
    
        "Yes! I'd love to!":
    
            jump date_real
    
        "No.":
    
            jump no_ice
    

label color_pink:
    s "I love pink!"
    
    hide ser
    show ser4
    
    s "Ehhh? Why are you looking at me like that?"
    
    menu:

        s "Why are you looking at me like that?"
    
        "You are so cute... <3":
    
            jump cute_me
    
        "Cause you're ugly.":
    
            jump no_ice
    

label cute_me:
    s "Really? That is so sweet! Uhh..."
    
    menu:

        "What next?"
    
        "Ask Serenade out on a date":
    
            jump date_now
    
        "Go back to sleep/ Run away":
    
            jump sleep_plz
    
    
    


label date_now:
    hide ser
    show ser4
    s "*Blushes* Ahhh! I'd love to!"
    
    menu:
    
        s "Let's go on a date! <3"
    
        "Click to go to date":
    
            jump date_real


label no_ice:
    hide ser
    show ser3
    
    s "Awww!!"
    
    y"You're so stupid."
    
    s "Jerk! I hate you!!"
    
    hide ser3
    hide ser4
    with dissolve
   
    "Serenade ran away from home and never came back."
    
    return


label date_real:
    hide ser4
    scene back2
    
    "You take Serenade to the nearest mall for some icecream, since it's got the best icecream parlor in town.
    You watch as she happily eats the icecream cone."
    
    show ser
    with dissolve
    
    s "Mmm vanilla icecream!"
    y"You have some on your nose..."
    
    hide ser
    show ser4
    
    s "Ahh really?! How clumsy of me!!"
    
    menu:
        s "I have icecream on my nose!"

        "Wipe it off":
    
            jump wipe_ice
    
        "Lick it off":
    
            jump lick_ice
    
        "Walk away":
    
            jump sleep_plz


label wipe_ice:
    
    "*Wipes off the icecream*"
    s "Thankyou... <3"
    
    hide ser4
    show ser
    
    s "What should we do now?"
    


label lick_ice:
    y "*licks her nose*"
    s "U-uhm... Okay... *blushes more*"
    y "That was tasty..."
    s "O___o;"
    hide ser4
    show ser
    s "Well, w-what next?"
    
    menu:
        s"What should we do next?"
    
        "Shop for something nice":
    
            jump shop_nice
    
        "Talk":
    
            jump talk_date1
    
        "Go home":

            jump home_date1
    
    
label shop_nice:
    
    y "Would you like to get something nice? Since we're at the mall..."
    hide ser
    show ser4
    s "Okay! Heehee!"
    hide ser4
    with dissolve
    "You go shopping around, and Serenade picks out a cute new outfit."
    show ser4
    s "Wow! This is what I've always wanted!!"
    
    menu:
        "What do you say to Serenade?"
    
        "You look beautiful in that outfit...":
    
            s "*Blushes more* Really?! Thank you... You're so kind..."
    
            jump home_date1
    
        "It looks weird on you, but you can have it anyways...":
    
            s "Um... Okay... Let's go home..."
    
            jump home_date1    
    
    
label talk_date1:
    show ser4
    s "The mall is so cool!! It's even bigger than your house!! ^_^"
    y "Hahaha. Yeah, our house is pretty big isn't it?"
    s "O-OUR house?"
    
    menu:
        "How do you respond?"
    
        "Well, you live with me, right? So it's your house too!":
    
            s "Aww that's so sweet!"
            y "Let's go home..."
            s "okay!"
            
            jump home_date1
    
        "Because you are my pet...":
    
            s "Uhh... Okay..."
            y "Let's go home..."
            s "Mhmm..."

            jump home_date1
        "Uhhh... *Blushes*":
    
            s "*giggle* Heehee you're so sweet!"
            y "Um... Let's go home now..."
            s "Okay!!"
    
            jump home_date1
    
label home_date1:
    hide ser
    scene back
    show ser
    with dissolve
    
    s "That was fun! Thanks for taking me to the mall!"
    
    menu:
        "How do you respond?"
    
        "Let's go on another date soon!":
    
            jump end1
    
        "You're welcome my little kitten...":
    
            jump end2
    
        "Whatever...":
    
            jump end3
    

label end1:
    s "Okay!! I can't wait!!"
    hide ser
    with dissolve
    "Months passed."
    "You took Serenade on many dates and bonded with her more."
    "Serenade finally gathered her courage to tell you she wanted you to be her master..."
    "And you accepted."
    "Now you are a happy couple living your days in your comfortable, warm home."
    "THE END"
    
    return
    

label end2:
    s "Um... Okay..."
    hide ser
    with dissolve
    "Months passed."
    "Serenade seems a little uncomfortable with you, but after awhile, you warm up to eachother."
    "You become her master, and the two of you become a semi-happy couple."
    "THE END"
    
    return

label end3:
    hide ser
    show ser3
    s "How can you say that?! You're so mean!!"
    
    hide ser3
    with dissolve
    "Serenade never really warmed up to you..."
    "You continued to treat her bad, and finally she ran away."
    "YOU LOST"
    return 